Bug 1015040 - Cannot set date (deadline expression) in Wait and OnAlarm
Cannot set date (deadline expression) in Wait and OnAlarm
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: BPEL editor (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.1.0
Assigned To: Robert (Bob) Brodt
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 07:14 EDT by Andrej Podhradsky
Modified: 2016-01-06 07:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Users cannot set dates in OnAlarm (Pick) and Wait in the BPEL Editor. This affects both the Date and Duration radio button options.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-06 07:00:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 404117 None None None Never

  None (edit)
Description Andrej Podhradsky 2013-10-03 07:14:19 EDT
Description of problem:
It doesn't matter which radio bution (Date or Duration) you select there is still <for> (duration) in bpel process. This is in OnAlarm (Pick) and Wait.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to reproduce:
1. Add a Wait activity (or Pick with OnAlarm)
2. In Properties view select Details
3. Try to specify a deadline by choosing Date radio button
4. Save and open the bpel process in a text editor. You will see that there is still <for> tag

Actual results:


Expected results:


Additional info:
Comment 1 Robert (Bob) Brodt 2014-08-08 16:57:39 EDT
Fixed in version 1.0.4
Paul will make this build available in the next JBTIS stack.
Comment 2 Andrej Podhradsky 2015-03-04 07:02:50 EST
Verified with BPEL tooling 1.0.4 which is included in
* JBDS 7.1.1.GA + JBDS-IS 7.1.0.CR1
* JBDS 8.0.2.GA + JBDS-IS 8.0.0.GA
Comment 3 Andrej Podhradsky 2016-01-06 07:00:47 EST
Fixed and included in the latest release.

Note You need to log in before you can comment on or make changes to this bug.